Bug 1122893 - [JBossFuse]After several restarts, fuse app should only have one java process
Summary: [JBossFuse]After several restarts, fuse app should only have one java process
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Hiram Chirino
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 10:26 UTC by xjia
Modified: 2016-10-28 13:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 13:55:45 UTC


Attachments (Terms of Use)

Description xjia 2014-07-24 10:26:00 UTC
Description of problem:
Create a fuse app, and restart it several times. Check the number of java process in this app. It contains several java processes


Version-Release number of selected component (if applicable):
devenv_5004
openshift-origin-cartridge-fuse-6.1.0.redhat.387-3.el6op.noarch.rpm

Steps to Reproduce:
1. rhc app create fuse1 fuse-1.0
2. rhc app restart fuse1
3. rhc app restart fuse1
4. rhc app restart fuse1
5. rhc app restart fuse1
6. rhc ssh fuse1 "ps aux | grep '/usr/bin/java -server'"

Actual results:
[root@ip-10-186-29-141 ~]# rhc ssh fuse1 "ps aux | grep '/usr/bin/java -server'"
1000      7396  0.0  2.2 590648 83608 ?        Sl   03:21   0:11 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/lib/endorsed:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/lib/ext:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/instances -Dkaraf.home=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container -Dkaraf.base=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container -Dkaraf.data=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/data -Dkaraf.etc=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/etc -Djava.io.tmpdir=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/karaf.jar org.apache.karaf.main.Main
1000      8989  2.4  5.3 666368 198240 ?       Sl   03:22   5:28 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/lib/endorsed:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/lib/ext:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/instances -Dkaraf.home=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container -Dkaraf.base=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container -Dkaraf.data=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/data -Dkaraf.etc=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/etc -Djava.io.tmpdir=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/karaf.jar org.apache.karaf.main.Main
1000     23336  0.0  2.3 592552 86304 ?        Sl   03:46   0:10 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/lib/endorsed:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65/jre/lib/ext:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/instances -Dkaraf.home=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container -Dkaraf.base=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container -Dkaraf.data=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/data -Dkaraf.etc=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/etc -Djava.io.tmpdir=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53d0ad03b531bb6153000001/fuse/container/lib/karaf.jar org.apache.karaf.main.Main

Expected results:
Only have one java process

Additional info:
Jboss A-MQ also has this issue.

Comment 2 Hiram Chirino 2014-08-26 16:32:57 UTC
Should be fixed in new build.

Comment 3 xjia 2014-08-27 05:57:46 UTC
Version:
openshift-origin-cartridge-fuse-6.1.0.redhat.390-2.el6op.noarch.rpm

Verify:
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc app restart fuse 
RESULT:
fuse restarted
[root@broker ~]# rhc ssh fuse 'ps aux | grep java'
reverse mapping checking getaddrinfo for dhcp-66-79-59.eng.nay.redhat.com [10.66.79.59] failed - POSSIBLE BREAK-IN ATTEMPT!
1160     22816 12.9  1.8 1745480 227668 ?      Sl   13:51   0:41 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx768M -XX:PermSize=16M -XX:MaxPermSize=205M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/lib/endorsed:/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/lib/ext:/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/instances -Dkaraf.home=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container -Dkaraf.base=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container -Dkaraf.data=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/data -Dkaraf.etc=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/etc -Djava.io.tmpdir=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53fd6c331018d62c1e000613/fuse/container/lib/karaf.jar org.apache.karaf.main.Main
1160     26920  0.0  0.0 106100  1192 ?        Ss   13:57   0:00 /bin/bash -c ps aux | grep java
1160     26922  0.0  0.0 103256   828 ?        S    13:57   0:00 grep java
[root@broker ~]#


Note You need to log in before you can comment on or make changes to this bug.